/**
 *Font Awesome Fonts
 */

@font-face {
  font-family: 'FontAwesome';
  src: url('../node_modules/font-awesome/fonts/fontawesome-webfont.eot?v=4.1.0');
  src: url('../node_modules/font-awesome/fonts/fontawesome-webfont.eot?#iefix&v=4.1.0') format('embedded-opentype'), url('../fonts/font-awesome/fonts/fontawesome-webfont.woff?v=4.1.0') format('woff'), url('../fonts/font-awesome/fonts/fontawesome-webfont.ttf?v=4.1.0') format('truetype'), url('../fonts/font-awesome/fonts/fontawesome-webfont.svg?v=4.1.0#fontawesomeregular') format('svg');
  font-weight: normal;
  font-style: normal;
}


/**
 * App-wide Styles
 */

.browserupgrade {
  margin: 0.2em 0;
  background: #ccc;
  color: #000;
  padding: 0.2em 0;
}

.navbar-nav>li>a {
  padding-top: 5px;
  padding-bottom: 0px;
}

.navbar-nav {
  padding-top: 6px;
}

.nav>li>a {
  padding: 0px 5px;
}

.nav>li,
.nav>li>a {
  display: inline-block;
}

.navbar-default .navbar-collapse {
  text-align: center;
}

.navbar-nav {
  float: none;
  display: inline-block;
}

body {
  font-family: sans-serif;
  font-size: 12pt;
}

td {
  font-size: 10pt;
  word-break: break-all;
}

.table-condensed>tbody>tr>td {
  padding: 1px;
  vertical-align: middle;
}

.fa {
  font-size: large;
}

.form-control {
  max-width: 40ex;
  min-width: 8ex;
}

.input-group {
  max-width: 40ex;
}

.input-group-addon>.fa {
  font-size: large;
}

.fa-plus-circle {
  color: #61B420;
}

.fa-trash-o {
  color: red;
}

.fa-book {
  color: #AD728D;
}

.fa-database {
  color: #4D4317;
}

.fa-list {
  color: #B03720;
}

.fa-users {
  color: #67922D;
}

.fa-sign-out {
  color: black;
}

.label {
  font-size: medium;
}

.dropdown-menu[role="listbox"] {
  padding: 5px;
}

.dropdown-menu[role="listbox"]>li:not(:last-child) {
  border-bottom-width: 1px;
  border-bottom-style: groove;
}

small {
  font-size: 75%;
}

.flex-space-around {
  display: flex;
  justify-content: space-around;
}

.input-group-sm>.form-control,
.input-group-sm>.input-group-addon,
.input-sm {
  height: 2em;
  padding: 1px 3px;
}

.btn {
  padding: 0px 6px;
}

.flex-space-between {
  display: flex;
  justify-content: space-between;
}

.flex-space-between>ul:not(:last-child) {
  border-right: 1px groove black;
}

.container {
  padding: 0;
  position: relative;
}

.table {
  max-width: 100ex;
  margin-left: auto;
  margin-right: auto;
}

.table-responsive>.table>tbody>tr>td,
.table-responsive>.table>tbody>tr>th {
  white-space: normal !important;
}

.navbar-nav {
  margin: 0;
}

.navbar-collapse {
  padding: 0;
}

.cw-selector {
  padding-top: 6px;
}

.login-box {
  width: 30ex;
  margin: 0 auto;
}

@media all and (max-width: 550px) {
  body {
    font-size: 10pt !important;
  }
}

@media all and (max-width: 400px) {
  body {
    font-size: 8pt !important;
  }
}

@media all and (max-width: 320px) {
  body {
    font-size: 7pt !important;
  }
}


/*Orderdetail Start*/

.flex-container {
  display: flex;
  /* or inline-flex */
  flex-wrap: wrap;
  justify-content: center;
}

.order-card {
  margin-left: 10px;
  margin-right: 10px;
  max-width: 400px;
}

.ordersummary-table * {
  visibility: visible;
  font-size: 16pt;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  max-width: 26ch;
}

.ordersummary-table {
  margin-left: auto;
  margin-right: auto;
}

.ordersummary-table>table th {
  font-size: 13pt;
}

.ordersummary-table>tbody>tr>td,
.ordersummary-table>tbody>tr>th {
  border: 1px solid black;
  min-width: 4ex;
  text-align: center;
}

.ordersummary-table td:nth-child(1),
.ordersummary-table th:nth-child(1) {
  text-align: left;
}

.ordersummary>table>tbody tr td {
  max-width: 15ex;
}

@media print {
  body * {
    visibility: hidden;
  }
  #order-cards,
  #order-cards * {
    visibility: visible;
  }
  table {
    border-collapse: separate;
  }
  .ordersummary-table table,
  .ordersummary-table * {
    visibility: visible;
  }
  .flex-container {
    display: block;
  }
  .order-card {
    position: relative;
    display: inline-block;
    page-break-inside: avoid;
    page-break-after: none;
  }
  #order-cards {
    position: relative;
    left: 0;
    top: 0;
  }
}


/*OrderDetails End*/

td>input.form-control.ng-dirty,
th>input.form-control.ng-dirty {
  color: lightgrey;
}

.chooser {
  position: absolute;
  background-color: #fefefe;
  padding: .5em;
  border: 1px solid #000;
  border-radius: 5px;
  width: 350px;
  z-index: 5;
  left: -50px;
}

.chooserSelectedWeek {
  background-color: lightgrey;
}

.chooserThisWeek {
  background-color: lightgreen;
}

.alert-locked-orders{
  color: #000;
  background-color: #e10000;
  max-width: 100ex;
  margin: 20px auto;
  text-align: center;
}
